/* Copyright (c) 1987, 1988, 1991, 1992  Stanley T. Shebs. */
/* This program may be used, copied, modified, and redistributed freely */
/* for noncommercial purposes, so long as this notice remains intact. */

/* Definitions about scorekeepers. */

typedef struct a_scorekeeper {
    int id;
    char *name;
    Obj *when;
    Obj *who;
    Obj *knownto;
    Obj *trigger;
    Obj *body;
    Obj *record;
    Obj *notes;
    int scorenum;
    int initial;
    int triggered;
    struct a_scorekeeper *next;   /* pointer to the next scorekeeper */
} Scorekeeper;

/* Iteration over all scorekeepers. */

#define for_all_scorekeepers(sk)  \
  for ((sk) = scorekeepers;  (sk) != NULL;  (sk) = (sk)->next)

#define keeping_score() (numscorekeepers > 0 && numdesigners == 0)

#define recording_scores() (0)

extern Scorekeeper *scorekeepers;

extern int numscorekeepers;

Scorekeeper *create_scorekeeper();
