
#if 0

#include <stdio.h>

#define DGprintf if (0) printf

#define TRUE (1)
#define FALSE (0)

#define bitmaplib ""

/* careful of the path of the X header files. */

#include <X11/Xos.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xresource.h>

#include "ximf.h"

Pixmap load_bitmap();

static char spbuf[1000];

/* This tries to fill in the given image family. */

load_image_family(dpy, win, imf)
Display *dpy;
Window win;
ImageFamily *imf;
{
    int w, h, i;
    Pixmap pic;

    imf->numsizes = 0;
    for (i = 0; i < 10; ++i) {
	imf->w[i] = imf->h[i] = 0;
	imf->mono[i] = imf->colr[i] = imf->mask[i] = None;
	imf->font[i] = NULL;
	imf->monochar[i] = imf->maskchar[i] = '\0';
    }
    if (imf->name != NULL) {
	if (0 /* found an imf file */) {
	} else {
	    if ((pic = load_bitmap(dpy, win, imf->name, "b", &w, &h)) != None) {
		imf->w[imf->numsizes] = w;  imf->h[imf->numsizes] = h;
		imf->mono[imf->numsizes] = pic;
		++(imf->numsizes);
	    }
	    if ((pic = load_bitmap(dpy, win, imf->name, "32.b", &w, &h)) != None) {
		imf->w[imf->numsizes] = w;  imf->h[imf->numsizes] = h;
		imf->mono[imf->numsizes] = pic;
		++(imf->numsizes);
	    }
	    if ((pic = load_bitmap(dpy, win, imf->name, "16.t", &w, &h)) != None) {
		imf->w[imf->numsizes] = w;  imf->h[imf->numsizes] = h;
		imf->mono[imf->numsizes] = pic;
		++(imf->numsizes);
	    }
	    if ((pic = load_bitmap(dpy, win, imf->name, "t", &w, &h)) != None) {
		imf->w[imf->numsizes] = w;  imf->h[imf->numsizes] = h;
		imf->mono[imf->numsizes] = pic;
		imf->mask[imf->numsizes] = pic;  /*sort of bogus */
		++(imf->numsizes);
	    }
	    if ((pic = load_bitmap(dpy, win, imf->name, "e", &w, &h)) != None) {
		imf->w[imf->numsizes] = w;  imf->h[imf->numsizes] = h;
		imf->mono[imf->numsizes] = pic;
		++(imf->numsizes);
	    }
	    if (imf->numsizes > 0) {
		return TRUE;
	    } else {
		fprintf(stderr,
			"Bitmap name \"%s\" not found here or in \"%s\"!\n",
			imf->name, bitmaplib);
	    }
	}
    }
#if 0
    /* Now attempt to pick up any fonts that might be available. */
    /* (How to do more than one?) */
    side->ui->iconfont = open_font(side, ICONFONT, "IconFont", NULL, "");
    if (side->ui->iconfont != NULL) {
	/* See if the font matches any of the magnifications. */
	w = font_width(side->ui->iconfont);
	h = font_height(side->ui->iconfont);
	for (p = 0; p < NUMPOWERS; ++p) {
	    if (hws[p] == w && hhs[p] == h) {
		for_all_terrain_types(t) {
		    /* should also test for presence of each terrtype */
		    side->ui->usewhat[p][t] = usefontchars;
		    side->ui->terrchars[p][t] = t_type_char(t);
		    side->ui->terrfonts[p][t] = side->ui->iconfont;
		    foundsome = TRUE;
		}
	    }
	}
	if (!foundsome) {
	    init_warning("The font \"%s\" (size %dx%d) was useless",
			 ICONFONT, w, h);
	}
    } else {
	/* Be informative, especially for new X users. */
	/* (change to identify the specific fonts that should be installed?) */
	init_warning("Xconq is usually much faster if fonts are installed.");
	init_warning("Please consult the docs and/or your site admins for details.");
	/* Mark this as undefined. */
	side->ui->iconfont = NULL;
    }
#endif
#if 0
    /* (Should be able to skip font loading if units don't need it) */
    side->ui->unitfont = open_font(side, "standard", "UnitFont",
				    side->ui->textfont);
    sw = font_width(side->ui->unitfont);
    sh = font_height(side->ui->unitfont);
    /* shouldn't set any of this up unless it knows that the font & char
       are the right ones, at whatever power. */
    /* See if the font is usable at any of the magnifications. */
    for (p = 0; p < NUMPOWERS; ++p) {
	/* OK to use small icons on big hexes. */
	if (uws[p] >= sw && uhs[p] >= sh) {
	    for_all_unit_types(u) {
		side->ui->unitchars[p][u] = u_type_char(u);
		side->ui->unitfonts[p][u] = side->ui->unitfont;
		side->ui->unitw[p][u] = sw;  side->ui->unith[p][u] = sh;
		foundsome = TRUE;
	    }
	}
    }
    if (!foundsome) {
	init_warning("The font \"%s\" (size %dx%d) was useless",
		     "standard", sw, sh);
    }
#endif
    return FALSE;
}

/* Try to load a bitmap of the given name, looking in both the current dir
   and the library dir.  Warns about failure, but returns None, so the rest
   of the code will continue to function. */

Pixmap
load_bitmap(dpy, win, name, ext, wp, hp)
Display *dpy;
Window win;
char *name, *ext;
int *wp, *hp;
{
    int hotx, hoty;
    unsigned int w, h;
    Pixmap rslt;

    if (ext != NULL) {
	make_pathname(NULL, name, ext, spbuf);
	if (XReadBitmapFile(dpy, win, spbuf,
			    &w, &h, &rslt, &hotx, &hoty) == BitmapSuccess) {
	    DGprintf("Loaded bitmap \"%s\"\n", spbuf);
	    *wp = w;  *hp = h;
	    return rslt;
	}
	make_pathname(bitmaplib, name, ext, spbuf);
	if (XReadBitmapFile(dpy, win, spbuf,
			    &w, &h, &rslt, &hotx, &hoty) == BitmapSuccess) {
	    DGprintf("Loaded bitmap \"%s\"\n", spbuf);
	    *wp = w;  *hp = h;
	    return rslt;
	}
    }
    return None;
}

make_pathname(path, name, extn, pathbuf)
char *path, *name, *extn, *pathbuf;
{
    sprintf(pathbuf, "");
    if (path && strlen(path) > 0) {
#ifdef THINK_C
	sprintf(pathbuf+strlen(pathbuf), "%s:", path);
#else
	sprintf(pathbuf+strlen(pathbuf), "%s/", path);
#endif
    }
    sprintf(pathbuf+strlen(pathbuf), "%s", name);
    /* Don't add a second identical extension, but do add if extension
       is different (in case we want "foo.12" -> "foo.12.scn" for instance) */
    if (rindex(name, '.') && strcmp(rindex(name, '.')+1, extn) == 0)
      return;
    if (extn && strlen(extn) > 0) {
	sprintf(pathbuf+strlen(pathbuf), ".%s", extn);
    }
}

#endif
